# API Tools API Freeze Report Conversion Ant Task

## Purpose

This task converts the XML report created by the `apitooling.apifreeze` ant task into an HTML file.

## Usage

### Description

The name of the ant task is: `apitooling.apifreeze_reportconversion`. To be used, the jar file `apitooling-ant.jar` has to be on the ant classpath.

    <apitooling.apifreeze_reportconversion
    	xmlfile="..."
    	htmlfile="..."
    	debug="..."
    />

### Parameters

Attribute | Description | Required
xmlfile | This attribute specifies the location of the xml file to convert. The location is specified using an absolute path. | Yes
htmlfile | This attribute specifies the location of the html file to generate. If not set, the html file name is retrieved from the xml file name by replacing ".xml" in ".html". The location is specified using an absolute path. | No
debug | Set the debug value. The possible values are: `true`, `false` Default is `false`. | No

### Examples

    	<apitooling.apifreeze_reportconversion
    		xmlfile=="D:\report\report.xml"
    		debug="true"
    	/>

This will run the task creating `report.html` inside the folder `D:\report` as the htmlfile attribute is not set.

Since debug is enabled, some debug tracing will show up in the ant console.

API Tools Analysis Ant Task
API Tools File Generation Ant Task
API Tools API Use Ant Task
API Tools Pluggable API Use Ant Task
API Tools API Freeze Ant Task
API Tools Analysis Report Conversion Ant Task
API Tools API Use Report Conversion Ant Task